
import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/curran/0ac4077c7fc6390f5dd33bf5c06cb5ff/raw/605c54080c7a93a417a3cea93fd52e7550e76500/UN_Population_2019.csv';

let arr = {};

export const useWorldPop = () => {
  const [data, setData] = useState(null);
  let i = 0;
  useEffect(() => {
    const row = (d) => {
  //    console.log(i + ' - ' + d.Country + ' - ' + +d['2020'] * 1000 );
      d.Population = +d['2020'] * 1000;
      arr[d.Country] = d.Population;
      i++;
 // console.log(arr);
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
//console.log(arr);
  return arr;
};

// use:
// [...document.querySelector("iframe").contentDocument.querySelectorAll(".no-data title")].map(d => (d.innerHTML.split(' - ')[0]) )
// to generate list of country name mismatches.